<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SE Code of Ethics</title>
</head>

<style>
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    html {
        font-family: 'Times New Roman', Times, serif;
    }

    .intro {
        margin: 25px 0;
    }

    .intro p {
        top: -11px;
        position: relative;
    }

    h1 {
        top: -12px;
        position: relative;
    }

    .prin {
        margin-left: 20px;
    }

    span {
        font-style: italic;
    }
</style>

<body>

<div class="intro">
    <p><span>Science and Engineering Ethics (2001) 7,231-238</span></p>
    <hr>
</div>

    <h1> Software Engineer Code of Ethics and Professional Practice</h1>
    <br>

    <h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
    <br>
    <hr>
    
    <br>
    <p><b>Keywords:</b> code of ethics, professional responsibility, software engineering</p>
    
    <br>
    <p style = "font-size: 20px;"><b>PREAMBLE</b></p>
    
    <br>
    <p> The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty;together, the aspirations and the details from a cohesive code. </p>

    <br>
    <p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of sotware a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

    <br>
    <p style = "font-size: 20px;"><b>PRINCIPLES</b></p>

    <br>
    <div class="prin">
        <p>1.<span> Public.</span> Software engineers shall act consistently with the public interest.</p>
        <p>2.<span> Client and employer.</span> Software engineers shall act in a manner that is in the best interest.</p>
        <p>3.<span> Product.</span> Software engineers shall ensure that their product and related modifications meet the highest professional standard possible.</p>
        <p>4.<span> Judgment.</span> Software engineers shall maintain integrity and independence in their professional judgment.</p>
        <p>5.<span> Management.</span> Software engineers managers and leaders shall subscribe to and promote ethical approach to the management of softwawre development and maintenance.</p>
        <p>6.<span> Profession.</span> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</p>
        <p>7.<span> Colleagues.</span> Software engineers shall be fair to and supportive of their colleagues.</p>
        <p>8.<span> Self.</span> Software engineers shall participate in lifelong learning regarding the practices of their profession and shall promote an ethical approach to the practice of the profession.</p>
    </div>
</body>
</html>